package com.yutou.qqbot.models.Commands.System;

import com.yutou.qqbot.Annotations.UseModel;
import com.yutou.qqbot.models.Model;
import com.yutou.qqbot.utlis.RedisTools;
import com.yutou.napcat.event.MessageEvent;
@UseModel
public class Cmd extends Model {
    @Override
    public boolean isUserPublic() {

        return false;
    }

    @Override
    public String[] getUsePowers() {
        return new String[]{
                QQGroupCommands.QQ_CMD
        };
    }

    @Override
    public String getModelName() {
        return "cmd指令";
    }

    @Override
    public void onMessage(Long qq, MessageEvent event, boolean isGroup) {
        super.onMessage(qq, event, isGroup);
        if (msg.startsWith(QQGroupCommands.QQ_CMD)) {
            RedisTools.Consumer.system("cmd", msg.replace(QQGroupCommands.QQ_CMD, ""));
        }
    }
}
